# Generated from watir-6.19.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name watir

Name: rubygem-%{gem_name}
Version: 6.19.1
Release: 1%{?dist}
Summary: Watir powered by Selenium
License: MIT
URL: http://github.com/watir/watir
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(activesupport) >= 4.0
# BuildRequires: rubygem(activesupport) < 5
# BuildRequires: rubygem(activesupport) >= 4.1.11
# BuildRequires: rubygem(coveralls)
# BuildRequires: rubygem(fuubar)
# BuildRequires: rubygem(nokogiri)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec-retry)
# BuildRequires: rubygem(rubocop) >= 0.59
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(selenium_statistics)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(simplecov-console)
# BuildRequires: rubygem(webdrivers) >= 4.1
# BuildRequires: rubygem(webdrivers) < 5
# BuildRequires: rubygem(webidl) >= 0.2.2
# BuildRequires: rubygem(yard) > 0.8.2.1
# BuildRequires: rubygem(yard-doctest) >= 0.1.14
# BuildRequires: rubygem(yard-doctest) < 0.2
BuildArch: noarch

%description
Watir stands for Web Application Testing In Ruby
It facilitates the writing of automated tests by mimicing the behavior of a
user interacting with a website.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.rubocop_todo.yml
%{gem_instdir}/CHANGES.md
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/support
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/watir.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 6.19.1-1
- Initial package
